/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Access information specific to Zuora.
 */
@ApiModel(description = "Access information specific to Zuora.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ZuoraAccess {
  @SerializedName("payment_gateway")
  private String paymentGateway = null;

  @SerializedName("key")
  private String key = null;

  @SerializedName("signature")
  private String signature = null;

  @SerializedName("token")
  private String token = null;

  @SerializedName("tenant_id")
  private String tenantId = null;

  @SerializedName("page_id")
  private String pageId = null;

  public ZuoraAccess paymentGateway(String paymentGateway) {
    this.paymentGateway = paymentGateway;
    return this;
  }

   /**
   * Payment gateway code.
   * @return paymentGateway
  **/
  @ApiModelProperty(required = true, value = "Payment gateway code.")
  public String getPaymentGateway() {
    return paymentGateway;
  }

  public void setPaymentGateway(String paymentGateway) {
    this.paymentGateway = paymentGateway;
  }

  public ZuoraAccess key(String key) {
    this.key = key;
    return this;
  }

   /**
   * Public key generated for the subscription.
   * @return key
  **/
  @ApiModelProperty(required = true, value = "Public key generated for the subscription.")
  public String getKey() {
    return key;
  }

  public void setKey(String key) {
    this.key = key;
  }

  public ZuoraAccess signature(String signature) {
    this.signature = signature;
    return this;
  }

   /**
   * Digital signature generated for the subscription.
   * @return signature
  **/
  @ApiModelProperty(required = true, value = "Digital signature generated for the subscription.")
  public String getSignature() {
    return signature;
  }

  public void setSignature(String signature) {
    this.signature = signature;
  }

  public ZuoraAccess token(String token) {
    this.token = token;
    return this;
  }

   /**
   * Token generated for the subscription.
   * @return token
  **/
  @ApiModelProperty(required = true, value = "Token generated for the subscription.")
  public String getToken() {
    return token;
  }

  public void setToken(String token) {
    this.token = token;
  }

  public ZuoraAccess tenantId(String tenantId) {
    this.tenantId = tenantId;
    return this;
  }

   /**
   * ID of the Zuora tenant.
   * @return tenantId
  **/
  @ApiModelProperty(required = true, value = "ID of the Zuora tenant.")
  public String getTenantId() {
    return tenantId;
  }

  public void setTenantId(String tenantId) {
    this.tenantId = tenantId;
  }

  public ZuoraAccess pageId(String pageId) {
    this.pageId = pageId;
    return this;
  }

   /**
   * The page id.
   * @return pageId
  **/
  @ApiModelProperty(required = true, value = "The page id.")
  public String getPageId() {
    return pageId;
  }

  public void setPageId(String pageId) {
    this.pageId = pageId;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ZuoraAccess zuoraAccess = (ZuoraAccess) o;
    return Objects.equals(this.paymentGateway, zuoraAccess.paymentGateway) &&
        Objects.equals(this.key, zuoraAccess.key) &&
        Objects.equals(this.signature, zuoraAccess.signature) &&
        Objects.equals(this.token, zuoraAccess.token) &&
        Objects.equals(this.tenantId, zuoraAccess.tenantId) &&
        Objects.equals(this.pageId, zuoraAccess.pageId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(paymentGateway, key, signature, token, tenantId, pageId);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ZuoraAccess {\n");
    
    sb.append("    paymentGateway: ").append(toIndentedString(paymentGateway)).append("\n");
    sb.append("    key: ").append(toIndentedString(key)).append("\n");
    sb.append("    signature: ").append(toIndentedString(signature)).append("\n");
    sb.append("    token: ").append(toIndentedString(token)).append("\n");
    sb.append("    tenantId: ").append(toIndentedString(tenantId)).append("\n");
    sb.append("    pageId: ").append(toIndentedString(pageId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

